summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2010-04-07 15:11:02 +0200
committerJim Meyering <meyering@redhat.com>2011-09-15 14:06:58 +0200
commit86ff96a57b2e9aa66096839cc39e1404a3f954af (patch)
tree1b65a6c24f0919bbb758df5bbdfee7f84acc3ccb /tests
parent875ead86cca8f52129cef813ccc0f4c730dc0620 (diff)
downloadgrep-86ff96a57b2e9aa66096839cc39e1404a3f954af.tar.gz
tests: make fmbtest explain (to stderr, not log) why it is skipped
* tests/fmbtest: Use skip_ and fail_ to give better diagnostics.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/fmbtest4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/fmbtest b/tests/fmbtest
index b07d19de..4e4ee893 100755
--- a/tests/fmbtest
+++ b/tests/fmbtest
@@ -16,9 +16,9 @@ LC_ALL=$cz locale -k LC_CTYPE 2>/dev/null | grep -q charmap.*UTF-8 \
# If matching is done in single-byte mode, skip this test too
printf 'é\n' | LC_ALL=$cz grep -Eq '^[é]{2}$'
case $? in
- 0) skip_test_ this test works only in multibyte mode;;
+ 0) skip_ "built without multi-byte support";;
1) ;;
- *) framework_failure_ grep exited with unexpected status $? ;;
+ *) fail_ "unexpected exit status: $?";;
esac
failures=0